
Smart Proxy - Refactor #29463

Drop webrick patch

04/02/2020 06:29 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: SSL   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/756

  

Description

In #12572 (508a9e8b18d8811f65f0f9f4201c287bae55da2d) a webrick patch was added to support setting ciphers. This is a copy of

the built in method which means it gets out of date. Ruby 2.4 added the SSLCiphers option so this workaround is no longer needed.

Related issues:

Related to foreman-tasks - Refactor #29622: Drop webrick patch Closed

Associated revisions

Revision 94a84f10 - 04/11/2020 03:58 PM - Ewoud Kohl van Wijngaarden

Fixes #29463 - Drop webrick patch

In 508a9e8b18d8811f65f0f9f4201c287bae55da2d a webrick patch was added to

support setting ciphers. This is a copy of the built in method which

means it gets out of date. Ruby 2.4 added the SSLCiphers option so this

workaround is no longer needed.

As an example, the built in Ruby has correctly updated the automatic

self signed certificate to 2048 bits. It also supports Server Name

Indication.

History

#1 - 04/02/2020 06:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/756 added

#2 - 04/11/2020 03:58 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 04/11/2020 04:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset 94a84f10bdc9af7203d6422de2d52b8313a6606c.

#4 - 04/26/2020 12:01 PM - Ewoud Kohl van Wijngaarden

- Related to Refactor #29622: Drop webrick patch added
